%{?nodejs_find_provides_and_requires}

%global packagename y18n
%global enable_tests 1

Name:		nodejs-y18n
Version:	3.2.1
Release:	1%{?dist}
Summary:	The bare-bones internationalization library used by yargs

License:	ISC
URL:		https://github.com/bcoe/y18n.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(rimraf)
%endif

Requires:	nodejs

%description
The bare-bones internationalization library used by yargs


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 3.2.1-1
- Update to upstream 3.2.1 release

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 3.2.0-1
- Initial packaging
